<pages xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="http://jboss.org/schema/seam/pages"
       xsi:schemaLocation="http://jboss.org/schema/seam/pages http://jboss.org/schema/seam/pages-2.3.xsd">
    <page view-id="/userPhoto.xhtml" action="#{gumUserProfilePictureBean.getUserProfilePicture()}"/>
    <page view-id="/documents/getPDFdocument.xhtml" action="#{openPDFDocument.getIsStream()}"/>
    <page view-id="*">
        <restrict>#{gazelleSecurityCheck.checkSecurity()}</restrict>
    </page>
    <page view-id="/login/logout.xhtml" action="#{identity.ssoLogout}">
        <navigation>
            <rule if-outcome="casLogout">
                <redirect view-id="/cas/logout.xhtml"/>
            </rule>
            <rule if-outcome="basicLogout">
                <redirect view-id="/home.xhtml"/>
            </rule>
            <rule if-outcome="noLogout">
                <redirect view-id="/home.xhtml"/>
            </rule>
        </navigation>
    </page>
    <page view-id="/login/ipLogin.xhtml" action="#{identity.login()}">
        <navigation>
            <rule>
                <redirect view-id="/home.xhtml"/>
            </rule>
        </navigation>
    </page>

    <exception class="org.jboss.seam.framework.EntityNotFoundException">
        <redirect view-id="/error.xhtml">
            <message severity="warn">Record not found</message>
        </redirect>
    </exception>
    <exception class="javax.persistence.EntityNotFoundException">
        <redirect view-id="/error.xhtml">
            <message severity="warn">Record not found</message>
        </redirect>
    </exception>
    <exception class="javax.persistence.EntityExistsException">
        <redirect view-id="/error.xhtml">
            <message severity="warn">Duplicate record</message>
        </redirect>
    </exception>
    <exception class="javax.persistence.OptimisticLockException">
        <end-conversation/>
        <redirect view-id="/error.xhtml">
            <message severity="warn">Another user changed the same data, please try again</message>
        </redirect>
    </exception>
    <exception class="org.jboss.seam.security.AuthorizationException">
        <redirect view-id="/error.xhtml">
            <message severity="error">You don't have permission to access this resource</message>
        </redirect>
    </exception>
    <exception class="org.jboss.seam.security.NotLoggedInException">
        <redirect view-id="/login.xhtml">
            <message severity="warn">#{messages['org.jboss.seam.NotLoggedIn']}</message>
        </redirect>
    </exception>
    <exception class="javax.faces.application.ViewExpiredException">
        <redirect view-id="/errorExpired.xhtml"/>
    </exception>
    <exception class="org.jboss.seam.ConcurrentRequestTimeoutException"
               log-level="trace">
        <http-error error-code="503"/>
    </exception>
    <exception>
        <redirect view-id="/error.xhtml">
            <message severity="error">Unexpected error, please try again</message>
        </redirect>
    </exception>


</pages>
